Bug 580964 - Review Request: python-greenlet - Lightweight in-process concurrent programming
Summary: Review Request: python-greenlet - Lightweight in-process concurrent programming
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 582234
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-09 15:40 UTC by Lev Shamardin
Modified: 2010-05-06 03:45 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-05 07:17:58 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lev Shamardin 2010-04-09 15:40:48 UTC
Spec URL: http://abbot.fedorapeople.org/python-greenlet.spec
SRPM URL: http://abbot.fedorapeople.org/python-greenlet-0.3.1-1.fc12.src.rpm
Description:

This package contains greenlet python module packaged for Fedora.

The greenlet package is a spin-off of Stackless, a version of CPython
that supports micro-threads called "tasklets". Tasklets run
pseudo-concurrently (typically in a single or a few OS-level threads)
and are synchronized with data exchanges on "channels".

Have checked that it builds in mock/koji, rpmlint complaints only on 'tasklet' spelling.

Comment 1 Thomas Spura 2010-04-14 19:05:04 UTC
- I'm not a naitive speaker, but I'd change 'tasklets' to 'task-lets' like proposed by rpmlint...

- Why do you remove the header file?
  Better include that, in case someone wants to use it...

- BR python2-devel would be better than just python-devel

Rest looks ok on the first sight.

Comment 2 Lev Shamardin 2010-04-14 19:26:08 UTC
I would rather not change 'tasklet' because it is an original term used in Stackless and greenlets documentation.

The header file is removed because it is needed only for the hypothetical C source code modules using greenlets (never seen them in the wild, but if you insist I can split it into a -devel package).

Also changed python-devel to python2-devel.

Should I also change python-setuptools to python2-setuptools? Haven't checked what's coming up with new python in Fedora 13.

Updated SPEC: http://abbot.fedorapeople.org/python-greenlet.spec
Updates SRPM: http://abbot.fedorapeople.org/python-greenlet-0.3.1-2.fc12.src.rpm

Comment 3 Kevin Fenzi 2010-04-15 17:37:22 UTC
Hey Lev. I was working on my own packages for greenlet/eventlet, so I would be happy to review these for you. ;) 

Look for a full review later today.

Comment 4 Kevin Fenzi 2010-04-15 20:37:10 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
8d75d7f3f659e915e286e1b0fa0e1c4d  greenlet-0.3.1.tar.gz
8d75d7f3f659e915e286e1b0fa0e1c4d  greenlet-0.3.1.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage. 
OK - -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have subpackages require base package with fully versioned depend. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

python-greenlet.src: W: spelling-error %description -l en_US tasklets -> task lets, task-lets, anklets
python-greenlet.src: W: spelling-error %description -l en_US Tasklets -> Task lets, Task-lets, Anklets
python-greenlet.x86_64: W: spelling-error %description -l en_US tasklets -> task lets, task-lets, anklets
python-greenlet.x86_64: W: spelling-error %description -l en_US Tasklets -> Task lets, Task-lets, Anklets
python-greenlet-devel.x86_64: W: no-documentation

All can be ignored. 

2. I'm not sure about having the devel subpackage. Sure there is a header file, but 
as you said nothing really uses it. I suppose it doesn't hurt, but seems like a waste. 

3. There are included tests, could be worth adding them to %check section?
(They run ok here with a 'python setup.py test')

I don't see any blockers here, so this package is APPROVED. 
Consider the test point before importing if you like. 

Also, if you would like co-maintainers, I would be happy to help co-maintain.

Comment 5 Lev Shamardin 2010-04-16 05:57:52 UTC
New Package CVS Request
=======================
Package Name: python-greenlet
Short Description: Lightweight in-process concurrent programming
Owners: abbot
Branches: F-11 F-12 F-13 EL-5
InitialCC:

Comment 6 Lev Shamardin 2010-04-16 06:01:31 UTC
(In reply to comment #4)
Thanks for the review. Yes, I would be glad to have a co-maintainer. Please write your FAS username so I would add you as a co-maintainer as soon as package is created.

As for the devel subpackage, I think it is not that much waste, so let's keep it. I will add tests to the final package version before importing.

Comment 7 Kevin Fenzi 2010-04-18 01:46:39 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-04-19 06:20:49 UTC
python-greenlet-0.3.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.fc11

Comment 9 Fedora Update System 2010-04-19 06:22:03 UTC
python-greenlet-0.3.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.fc12

Comment 10 Fedora Update System 2010-04-19 06:22:50 UTC
python-greenlet-0.3.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.fc13

Comment 11 Fedora Update System 2010-04-19 06:23:40 UTC
python-greenlet-0.3.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.el5

Comment 12 Lev Shamardin 2010-04-19 06:35:55 UTC
(In reply to comment #6)
> As for the devel subpackage, I think it is not that much waste, so let's keep
> it. I will add tests to the final package version before importing.    

Kevin,

I can't find the way to add a co-maintainer to a package. Can you please give me a hint how to do this? Thanks.

Comment 13 Lev Shamardin 2010-04-19 06:39:35 UTC
Ah, from what I see (http://fedoraproject.org/wiki/Using_the_package_database#I.27m_the_package_maintainer.2C_how_do_I_give_someone_commit_access_to_my_package.3F), you need to apply for all branches you are interested in at https://admin.fedoraproject.org/pkgdb/acls/name/python-greenlet and I will approve the requests.

Comment 14 Kevin Fenzi 2010-04-19 15:14:24 UTC
Yep. Requested. ;) 

Thanks.

Comment 15 Lev Shamardin 2010-04-19 16:12:19 UTC
Done.

That was really a BIG set of email notifications. :)
Dunno, may be I should open a bug/suggestion for pkgdb authors to send these notifications in digests, say after 10 minutes of no-acl-actions on the package.

Comment 16 Kevin Fenzi 2010-04-19 16:31:02 UTC
Yeah, I am sure they would be open to ideas on it. It does generate a ton of emails. ;(

Comment 17 Fedora Update System 2010-04-19 23:22:11 UTC
python-greenlet-0.3.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-greenlet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.el5

Comment 18 Fedora Update System 2010-04-20 13:01:09 UTC
python-greenlet-0.3.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-greenlet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.fc11

Comment 19 Fedora Update System 2010-04-20 13:06:42 UTC
python-greenlet-0.3.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-greenlet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.fc12

Comment 20 Fedora Update System 2010-04-20 13:18:26 UTC
python-greenlet-0.3.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-greenlet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-greenlet-0.3.1-2.fc13

Comment 21 Fedora Update System 2010-05-05 07:17:53 UTC
python-greenlet-0.3.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-05-06 00:52:18 UTC
python-greenlet-0.3.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-05-06 03:37:51 UTC
python-greenlet-0.3.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-05-06 03:44:59 UTC
python-greenlet-0.3.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.